Subject: Re: middleboxes and Re: [tcpm] TCPx2

From: Randall Stewart <[email-masked]>
Date: Mon, 10 Jul 2006 17:10:57 -0400

Mark Allman wrote:
>>I think that the most likely failure mode would be
>>that the routes change, the packets go through a new AS, and
>>that new AS has different policies as to what they do and
>>do not let into/through their network. This is most likely
>>not a problem with TCPx1 -- ISPs, etc, do not usually
>>filter transit/etc traffic based on TCP port numbers or
>>the like -- but they might/do filter based on IP protocol
>>number... (hence, my "stick it in UDP" comment).
> 
> 
> I guess my mental model is that transit traffic is not filtered like
> this.  So, my intuition is that this is all theoretical.  But, I have no
> data.  I wonder if any of the SCTP or DCCP folk have experience with
> running tests across the Internet that were impacted by filtering that
> was not near the edge.
> 

I have never been filtered with SCTP across the net.. but forget
getting through NAT's and FW's.. there are a FEW that do SCTP.. but
not many.. I am still working on that :-D

R

> allman
> 
> 
> 
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tcpm

-- 
Randall Stewart
NSSTG - Cisco Systems Inc.
803-345-0369 <or> 815-342-5222 (cell)

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm